pg_set_error_verbosity
pg_trace
PostgreSQL Functions
PHP Manual

# pg_socket

(PHP 5 >= 5.6.0)

pg_socket — Get a read only handle to the socket underlying a PostgreSQL connection

### Description

resource pg_socket ( resource `$connection` )

pg_socket() returns a read only resource corresponding to the socket underlying the given PostgreSQL connection.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`connection`

  PostgreSQL database connection resource.

### Return Values

A socket resource on success or `FALSE` on failure.

pg_set_error_verbosity
pg_trace
PostgreSQL Functions
PHP Manual